{% load_banners position: position limit: limit %}

{% if loaded_banners.size > 0 %}
  <section class="section categories container">
    {% for banner in loaded_banners %}
      {% assign show_cta = false %}
      {% if banner.subtitle != blank and banner.url != blank %}
        {% assign show_cta = true %}
      {% endif %}

      {% if banner.file_url != blank %}
        <div class="category-item">
          {% capture data_srcset %}
            {{ banner.file_url | resize: '350x' }}
            350w,
            {{ banner.file_url | resize: '390x' }}
            390w,
            {{ banner.file_url | resize: '700x' }}
            700w,
            {{ banner.file_url | resize: '760x' }}
            760w,
            {{ banner.file_url | resize: '900x' }}
            900w
          {% endcapture %}

          {% capture data_sizes %}
            (max-width: 375px) 350px,
            (max-width: 425px) 390px,
            (max-width: 767px) 700px,
            (max-width: 991px) 900px,
            (max-width: 1280px) 650px,
            (min-width: 1440px) 760px
          {% endcapture %}

          {% if banner.url != blank %}
            <a aria-label="{{ banner.title }}" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %} class="image -horizontal">
          {% else %}
            <figure class="image -horizontal">
          {% endif %}

            <img class="lazy" loading="lazy" data-srcset="{{ data_srcset | strip_newlines | strip }}" data-sizes="{{ data_sizes | strip_newlines | strip }}" alt="{{ banner.title }}"/>
          
          {% if banner.url != blank %}
            </a>
          {% else %}
            </figure>
          {% endif %}

          {% if show_cta or banner.description != blank %}
            <div class="text">
              {% if banner.description != blank %}
                {{ banner.description | replace: '<h3', '<h3 class="upper-title"'| replace: '<h2', '<h2 class="title"' | replace: '<p', '<p class="description"' }}
              {% endif %}

              {% if show_cta %}
                <a aria-label="Ir para {{ banner.title }}" class="button-default -outlined" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}>
                  {{ banner.subtitle }}
                </a>
              {% endif %}
            </div>
          {% endif %}
        </div>
      {% endif %}
    {% endfor %}
  </section>
{% endif %}
